package com.ssj.bean.sys.photoscroll.bean;

import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Table(name="tb_photo_scroll")
@Entity
public class Photoscroll extends BaseEntity implements Cloneable{

	private static final long serialVersionUID = 1L;

	private Date created;				/*创建时间*/
	private String url;					/*url*/
	private String isValid;           	/*是否有效*/
	private String photoOrder;			/*图片排序*/
	private String phoneType;			/*机型：Android/iOS2X/iOS3X*/


	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@Column(updatable=false)
	public Date getCreated() {
		return created;
	}
	public void setCreated(Date created) {
		this.created = created;
	}

	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}

	public String getIsValid() {
		return isValid;
	}
	public void setIsValid(String isValid) {
		this.isValid = isValid;
	}

	public String getPhotoOrder() {
		return photoOrder;
	}
	public void setPhotoOrder(String photoOrder) {
		this.photoOrder = photoOrder;
	}

	public String getPhoneType() {
		return phoneType;
	}
	public void setPhoneType(String phoneType) {
		this.phoneType = phoneType;
	}

	@Override
	public Object clone() {
		Photoscroll entity = null;
		try {
			entity = (Photoscroll) super.clone();
		} catch (CloneNotSupportedException e) {
			e.printStackTrace();
		}
		return entity;
	}
}
